Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Net.EndPoint

Represents a network endpoint as an Internet Protocol (IP) address and a port number.

The class contains the IP address of a host system and the number of a port to access on the host. The class represents a connection point used by the class.

- Constructor
  To be added.
  A containing the port number to use when accessing . Specify zero to indicate any available port.

  Constructs and initializes a new instance of the class with the specified address and port number.

  To be added.

  is less than or greater than .

  A negative number was specified for .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  A instance containing the IP address of the endpoint.
  The port number to use when accessing . Specify zero to indicate any available port.

  Constructs and initializes a new instance of the class with the specified address and port number.

  To be added.
  is .

  is less than or greater than .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Net.IPAddress

  Gets or sets the IP address of the endpoint.

  A instance containing the IP address of the end point.

  To be added. 0 1.0.5000.0 2.0.0.0
- Property
  System.Net.Sockets.AddressFamily

  Gets the Internet Protocol (IP) address family.

  Returns .

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Net.EndPoint `` A instance that provides the address information for the new instance.

  Returns a new instance containing the address information from the specified instance.

  A new instance containing the address information from the specified instance.

  This method overrides .

  The of the specified is not equal to the of the current instance. 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` The to compare to the current instance.

  Determines whether the current instance and the specified represent the same type and value.

  if represents the same endpoint as the current instance. If is a reference or is not an instance of , returns .

  Two instances are equal if their and properties contain the same values.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A containing the hash code for the current instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Int32 65535

  Specifies the maximum value that can be assigned to the property.

  This field is read-only. The value of this field is 65535.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.Int32 0

  Specifies the minimum value that can be assigned to the property.

  This field is read-only. The value of this field is zero.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Int32

  Gets or sets the port number of the endpoint.

  A value that is between and inclusive.

  To be added. The value specified for a set operation was less than or greater than . 0 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Net.SocketAddress To be added. To be added. To be added.
- Method
  System.String

  Returns a representation of the value of the current instance.

  A containing the IP address, in dotted-quad notation, followed by a colon and the port number for the specified endpoint, for example, 127.0.0.1:80.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
0